コンテンツへスキップ

Sync Lipsync 3

統合

モデルID sync-lipsync/v3
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sync-lipsync/v3?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $1.334 1,334 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Sync Labs リップシンクとアバター リップシンク #lipsync#dubbing#localization

話している動画の口の動きを新しい音声トラックに再同期します。

Sync Labs · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 video_url
ファイルをドロップ、または

入力動画を指すURL。

•必須 audio_url
ファイルをドロップ、または

URLで指定する入力音声の場所。

sync_mode デフォルト cut_off

音声と動画の長さの違いを処理するリップシンクモード。

詳細設定 options

追加のSync.so生成動作をここで設定します。指定したoptions.sync_modeがトップレベルのsync_mode値より優先されます。

POST /run/sync-lipsync/v3?wait=20 見積もり → $1.334
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sync-lipsync/v3?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Sync Lipsync 3について

Sync Labsのlipsync-3は、動画内の人物の口の動きを新しい音声トラックに合わせて置き換えます。 吹き替え、広告のローカライズ、ポストプロダクションでのセリフ修正に使用できます。音声と動画の長さが異なる場合は、カット、 ループ、バウンス、無音の追加、リマップから選択できます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
video_url必須 video
型url · video
入力動画を指すURL。
audio_url必須 audio
型url · audio
URLで指定する入力音声の場所。
sync_mode任意
型enum
デフォルトcut_off
cut_offloopbouncesilenceremap
音声と動画の長さの違いを処理するリップシンクモード。
options任意
型object
追加のSync.so生成動作をここで設定します。指定したoptions.sync_modeがトップレベルのsync_mode値より優先されます。
options.sync_mode任意
型enum
cut_offloopbouncesilenceremap
トップレベルのsync_modeの上書き。入力音声と動画の長さが異なる場合の動作を指定します。
options.model_mode任意
型enum
lipsfaceheadlipsyncemotiontalking_head
編集領域の選択。主にreact-1用で、モデルが変更する領域を指定します。
options.prompt任意
型enum
happysadangrydisgustedsurprisedneutral
主にreact-1が生成を誘導するために使用する感情ガイダンス。
options.temperature任意
型number | null
0 – 1
sync-3には影響しない表現力設定。sync-3ではこの処理をネイティブに行います。この設定を使用するモデルでは、0が最も表現力の低いリップシンク、1が最も高いリップシンクになります。
options.active_speaker_detection任意
型object
複数人が映る動画でアクティブスピーカーを特定するための設定。
options.active_speaker_detection.auto_detect任意
型boolean | null
アクティブスピーカーを自動的に特定し、その人物に生成を適用します。
options.active_speaker_detection.v3任意
型boolean | null
v3アクティブスピーカー検出の使用。
options.active_speaker_detection.use_v2任意
型boolean | null
v2アクティブスピーカー検出用の非推奨設定。
options.active_speaker_detection.frame_number任意
型integer | null
≥ 0
話者を手動選択する座標に使用するフレームのインデックス。
options.active_speaker_detection.coordinates任意
型integer[]
2 – 2 items
frame_number内の話者の顔の基準点。[x, y]で指定します。
options.active_speaker_detection.bounding_boxes任意
型array[]
各フレームで検出された顔のバウンディングボックス。[x1, y1, x2, y2]で表します。
options.active_speaker_detection.bounding_boxes_url任意
型string | null
各フレームのバウンディングボックスを提供するJSONファイルURL。
options.active_speaker_detection.face_image任意
型string | null
Base64でエンコードされた顔画像。話者を手動選択するために使用します。
options.occlusion_detection_enabled任意
型boolean | null
オクルージョン検出の切り替え。sync-3では検出が自動のため影響しません。それ以外では生成にオクルージョン検出を含めるかを制御します。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sync-lipsync/v3",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1334,
    "usd": "1.334",
    "charged": 1334,
    "refunded": 0
  },
  "input": {
    "video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}モデルが生成した動画。

その他のモデル: リップシンクとアバター

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/sync-lipsync/v3.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt